class Section
  include Mongoid::Document
  include Mongoid::Timestamps
  
  field :name
  
  belongs_to :desktop
  has_many :groups, :autosave => true, :dependent => :destroy
  
  before_create :initialize_group
  
  def initialize_group
    self.groups.build
    self.groups.build
  end
  
end